## python-django-tree-queries 0.20

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = test
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-django-tree-queries 0.16.1

=== debian/changelog ===
python-django-tree-queries (0.16.1-1) unstable; urgency=low

  * New upstream version 0.16.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 03 Dec 2023 08:24:12 +0000

python-django-tree-queries (0.15-2) unstable; urgency=low

  * Source-only upload to allow transition to testing.

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Nov 2023 16:01:22 +0000

python-django-tree-queries (0.15-1) unstable; urgency=low

  * Initial release (Closes: #1055850).

 -- Michael Fladischer <fladi@debian.org>  Sun, 12 Nov 2023 21:39:43 +0000

=== debian/control ===
Source: python-django-tree-queries
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-babel,
 python3-django,
 python3-hatchling,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/feincms/django-tree-queries
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-tree-queries
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-tree-queries.git
Rules-Requires-Root: no

Package: python-django-tree-queries-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Adjacency-list trees for Django (Documentation)
 Query Django model trees using adjacency lists and recursive common table
 expressions. Supports PostgreSQL, sqlite3 and MariaDB and MySQL.
 .
 Features and limitations:
  * Supports only integer and UUID primary keys (for now).
  * Allows specifying ordering among siblings.
  * Uses the correct definition of depth, where root nodes have a depth of
    zero.
  * The parent foreign key must be named "parent" at the moment.
  * The fields added by the common table expression always are tree_depth,
    tree_path and tree_ordering. The names cannot be changed. tree_depth is an
    integer, tree_path an array of primary keys and tree_ordering an array of
    values used for ordering nodes within their siblings.
  * Besides adding the fields mentioned above the package only adds queryset
    methods for ordering siblings and filtering ancestors and descendants.
  * Little code, and relatively simple when compared to other tree management
    solutions for Django. No redundant values so the only way to end up with
    corrupt data is by introducing a loop in the tree structure (making it a
    graph). The TreeNode abstract model class has some protection against this.
  * Supports only trees with max. 50 levels on MySQL/MariaDB, since those
    databases do not support arrays and require a maximum length for the
    tree_path and tree_ordering upfront.
 .
 This package contains the documentation.

Package: python3-django-tree-queries
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-tree-queries-doc,
Description: Adjacency-list trees for Django (Python3 version)
 Query Django model trees using adjacency lists and recursive common table
 expressions. Supports PostgreSQL, sqlite3 and MariaDB and MySQL.
 .
 Features and limitations:
  * Supports only integer and UUID primary keys (for now).
  * Allows specifying ordering among siblings.
  * Uses the correct definition of depth, where root nodes have a depth of
    zero.
  * The parent foreign key must be named "parent" at the moment.
  * The fields added by the common table expression always are tree_depth,
    tree_path and tree_ordering. The names cannot be changed. tree_depth is an
    integer, tree_path an array of primary keys and tree_ordering an array of
    values used for ordering nodes within their siblings.
  * Besides adding the fields mentioned above the package only adds queryset
    methods for ordering siblings and filtering ancestors and descendants.
  * Little code, and relatively simple when compared to other tree management
    solutions for Django. No redundant values so the only way to end up with
    corrupt data is by introducing a loop in the tree structure (making it a
    graph). The TreeNode abstract model class has some protection against this.
  * Supports only trees with max. 50 levels on MySQL/MariaDB, since those
    databases do not support arrays and require a maximum length for the
    tree_path and tree_ordering upfront.
 .
 This package contains the Python 3 version of the library.

## python-django-tree-queries 0.18

=== debian/changelog ===
python-django-tree-queries (0.18-1) unstable; urgency=low

  * New upstream version 0.18
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 24 Apr 2024 22:21:04 +0000

## python-django-tree-queries 0.19

=== debian/changelog ===
python-django-tree-queries (0.19-1) unstable; urgency=low

  * New upstream version 0.19
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 21:05:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-babel,
@@ -16,7 +16,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/feincms/django-tree-queries
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-tree-queries
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-tree-queries.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-tree-queries-$1/ \
https://github.com/feincms/django-tree-queries/tags \
/feincms/django-tree-queries/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-tree-queries 0.20

=== debian/changelog ===
python-django-tree-queries (0.20-1) unstable; urgency=low

  * New upstream version 0.20
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Add python3-pytest-cov to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Aug 2025 13:17:32 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  python3-django,
  python3-hatchling,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/feincms/django-tree-queries
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-tree-queries
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-tree-queries.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-tree-queries
export PYBUILD_TEST_ARGS=--ds=testapp.settings

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	set -e; \
	for loc in $(CURDIR)/tree_queries/locale/*; do \
		python3 -m babel.messages.frontend compile --directory=$(CURDIR)/tree_queries/locale/ --locale=$$(basename $$loc) --domain=django; \
	done

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-django-tree-queries-doc/usr/share/doc/python-django-tree-queries-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

## python-django-tree-queries 0.23

=== debian/changelog ===
python-django-tree-queries (0.23-1) unstable; urgency=low

  * New upstream version 0.23
  * Use uscan version 5.
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Fri, 13 Feb 2026 13:08:44 +0000

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/feincms/django-tree-queries
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-tree-queries
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-tree-queries.git
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-tree-queries-doc
 Section: doc

=== debian/watch ===
Version: 5
Template: GitHub
Owner: feincms
Project: django-tree-queries
